API Reference

Fetch a payout report for date

GET/reports/payouts/{date}

Payout Reports

Payout reports contain information about your purchases, refunds, and disputes for a given date.

Response Object

The table below outlines the fields that are returned by the /payouts namespace. Expect an array of objects with these fields if you have payouts to multiple accounts on the same day.

Field Type Description
payout_date String / Date YYYY-MM-DD The date of the payout.
payouts Array An array of payouts.
method
  • VISA/MASTERCARD
  • UPI
  • AMEX
  • BECS
This represents the method associated with the payout.
funding_account Object This stores the account number and bsb.
bsb String / “NNN-NNN” The bsb of the funding account object.
account_number String The account number of the funding account object.
reference String / “FZ-YYYYMMDD-<string>” The reference displayed on the merchant’s bank statement.
amount Float The total payout disbursed that day. Can be a negative value denoting a claw back (direct debit).
detail Object Contains the breakdown of the figures that determine the payout figure.
gross_processing_amount Float The total gross value of your purchases minus refunds and chargebacks.
transaction_count Integer The count of all transactions processed for the day.
processing_fees_amount Float The total of all charges withheld. This excludes dispute charges.
dispute_charges_amount Float The total chargeback fees incurred (and deducted).
disputes_count Integer The count of all disputes processed for the day.

Query Parameters

datestring (date)· Defaults to 2022-01-01

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/reports/payouts/2022-01-01 -u TEST:TEST

Response

200Result
json
{
	"successful": true,
	"response": {
		"payout_date": "2022-01-01",
		"payouts": [{
			"method": "VISA/MASTERCARD",
			"funding_account": {
				"bsb": '123-345,
				"account_number": '0123456789'
			},
			"amount": 1000.00,
			"reference": "FZ-20220929-HWZIJX",
			"detail": {
				"gross_processing_amount": 1000.00,
				"transaction_count": 1,
				"processing_fees_amount": -10.00,
				"disputes_count": 1,
				"disputes_amount": -10.0
			}
		}]
	},
	"errors": []
}
400Invalid Date
json
{
	"successful": false,
	"response": null,
	"errors": [
		"Invalid date parameter"
	],
}